<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 08/05/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-send_bonus.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Send out bonus mails to all members              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : An alle Mitglieder Bonus-Mails verschicken       *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (!EXT_IS_ACTIVE("order")) {
	ADD_FATAL(sprintf(EXTENSION_PROBLEM_NOT_INSTALLED, "order"));
	return;
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

// Set empty mode to "select"
if (empty($_GET['mode'])) $_GET['mode'] = "select";

if (isset($_POST['ok'])) {
	// Deliver bonus mail
	ADD_NEW_BONUS_MAIL($_POST, $_GET['mode']);
} else {
	// Get all available users
	define('__ALL_VALUE', TRANSLATE_COMMA(GET_TOTAL_RECEIVERS($_GET['mode'])));

	// Prepare option lines
	define('__OPTION_LINES', ADD_CATEGORY_OPTIONS($_GET['mode']));

	// Store send mode
	define('__MODE', SQL_ESCAPE($_GET['mode']));

	if (EXT_IS_ACTIVE("html_mail")) {
		// If HTML extension is active
		define('__HTML_SELECT',  LOAD_TEMPLATE("admin_send_bonus_html", true));
	} else {
		// And if not
		define('__HTML_SELECT', "");
	}

	// Select template
	switch($_GET['mode']) {
		case "html":   // HTML mails
		case "normal": // Normal mails
			$template = "admin_send_bonus_form";
			break;

		case "select": // Selection
			$template = "admin_send_bonus_select";
			break;
	}

	// Load template
	LOAD_TEMPLATE($template);
}

//
?>
