<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/13/2004 *
 * ===============                              Last change: 11/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : show_bonus.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Show ranking list for turbo-bonus                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Rankliste fuer Turbo-Bonus anzeigen              *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action, $startTime;
$GLOBALS['startTime'] = microtime(true);
$GLOBALS['what'] = "";
$GLOBALS['action'] = "";

// Set this because we have no module in URI
$GLOBALS['module'] = "show_bonus"; $CSS = 0;

// Load the required file(s)
require("inc/config.php");

// Is the "bonus" extension active?
if (!EXT_IS_ACTIVE("bonus")) {
	// Redirect to index
	LOAD_URL("modules.php?module=index&amp;msg=".CODE_EXTENSION_PROBLEM."&amp;ext=bonus");
} // END - if

// List only rankings when script is installed
if (isBooleanConstantAndTrue('mxchange_installed')) {
	// Include header
	include(PATH."inc/header.php");

	if (($_GET['uid'] > 0) && ($_GET['d'] > 0) && (!empty($_GET['t']))) {
		// Set row name
		$t = "";
		switch ($_GET['t']) {
			case "bonusid": // Bonus mail
				$t = "bonus_id";
				break;

			case "mailid": // Regular member mail
				$t = "mail_id";
				break;

			default: // Invalid type
				DEBUG_LOG(__FILE__, __LINE__, sprintf("Invalid type %s detected.", $_GET['t']));
				break;
		} // END - switch

		// Valid type?
		if (!empty($t)) {
			// Check for data
			$result = SQL_QUERY_ESC("SELECT DISTINCT d.gender, d.surname, d.family, b.level, b.points
FROM "._MYSQL_PREFIX."_user_data AS d
RIGHT JOIN "._MYSQL_PREFIX."_bonus_turbo AS b
ON d.userid=b.userid
WHERE d.status='CONFIRMED' AND d.userid=%s AND b.%s=%s
LIMIT 1",
				array(bigintval($_GET['uid']), $t, bigintval($_GET['d'])), __FILE__, __LINE__);

			// Entry found?
			if (SQL_NUMROWS($result) == 1) {
				// Load data
				$content = SQL_FETCHARRAY($result);

				// Prepare constants for the pre-template
				define('__GENDER'   , TRANSLATE_GENDER($content['gender']));
				define('__SNAME'    , $content['surname']);
				define('__FNAME'    , $content['family']);
				define('__RANK'     , BIGINTVAL($content['level']));
				define('__POINTS'   , TRANSLATE_COMMA($content['points']));
				define('__MAILID'   , bigintval($_GET['d']));
				define('__RANK_ROWS', BONUS_MAKE_RANK_ROWS(bigintval($_GET['d']), $t, bigintval($_GET['uid'])));

				// Constant created within previous function which contains informations for current user's ranking position:
				//   __YOUR_RANKING_LINE

				// Load pre-template
				define('__BONUS_MSG', LOAD_TEMPLATE("show_bonus_msg", true));
			} else {
				// No data found
				define('__BONUS_MSG', "<span class=\"guest_failed\">".BONUS_SHOW_NO_DATA."</span>");
			}

			// Free memory
			SQL_FREERESULT($result);
		} else {
			// Wrong type entered
			define('__BONUS_MSG', "<span class=\"guest_failed\">".BONUS_SHOW_WRONG_TYPE."</span>");
		}
	} else {
		// Wrong call!
		define('__BONUS_MSG', "<span class=\"guest_failed\">".BONUS_SHOW_WRONG_CALL."</span>");
	}

	// Load send_bonus header template (for your banners, e.g.?)
	define('__BONUS_HEADER', LOAD_TEMPLATE("show_bonus_header", true));

	// Load show_bonus footer template (for your banners, e.g.?)
	define('__BONUS_FOOTER', LOAD_TEMPLATE("show_bonus_footer", true));

	// Total ranks who can win
	define('__BONUS_TOTAL_RANKS', $_CONFIG['bonus_ranks']);

	// Load final template
	LOAD_TEMPLATE("show_bonus");

	// Include footer
	include(PATH."inc/footer.php");
} else {
	// You have to configure first!
	LOAD_URL("install.php");
}

// Really all done here... ;-)
?>
